Bug 52528 - cdrecord-1.10 fails to reserve buffer
Summary: cdrecord-1.10 fails to reserve buffer
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: cdrtools   
(Show other bugs)
Version: roswell
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 18:19 UTC by Daniel Morris
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-14 12:39:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of cdrecord failing to open /dev/zero before using (3.46 KB, text/plain)
2001-08-24 18:21 UTC, Daniel Morris
no flags Details

Description Daniel Morris 2001-08-24 18:19:11 UTC
Description of Problem:
cdrecord is unable to allocate a buffer for burning, as a result of
failing to open /dev/zero before trying to use the file descriptor

Version-Release number of selected component (if applicable):
cdrecord-1.10-4 on 2.2.19-7.0.1 kernel

How Reproducible:
Totally

Steps to Reproduce:
1. cdrecord -v -V fs=1m gp.iso
2. fs can be any size (should be 8>32m for my system (as in cdrecord.conf)
3. 

Actual Results:
cdrecord: Invalid argument. Cannot get mmap for 1052672 Bytes on /dev/zero.


Expected Results:
Whizzing of disc, flashing laser and stuff

Additional Information:
strace attached from 7.1 system with just updated cdrecord-1.10
Shouldn't cdrecord show up as its own component?

Comment 1 Daniel Morris 2001-08-24 18:21:10 UTC
Created attachment 29396 [details]
strace output of cdrecord failing to open /dev/zero before using

Comment 2 Daniel Morris 2001-12-04 15:29:35 UTC
Pilot error, works fine on 2.4 kernels.


Note You need to log in before you can comment on or make changes to this bug.